Bug 137328 - (IT_53282) discovery tool warns that usbdevfs is not mounted but mount says it *is* mounted
discovery tool warns that usbdevfs is not mounted but mount says it *is* mounted
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: other (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Landry
: 139517 (view as bug list)
Depends On:
Blocks: 135876
  Show dependency treegraph
Reported: 2004-10-27 11:48 EDT by Glen A. Foster
Modified: 2007-04-18 13:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-14 04:20:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Glen A. Foster 2004-10-27 11:48:22 EDT
Description of problem: Summary says it all.  The two WARNINGS I get
from running the discovery tool on my Longs Peak are:

WARNING: unable to read from /dev/hda
WARNING: usbdevfs not mounted!

... the first one makes sense, there's no CD in the drive.  The second
one, however, appears to be a bug because mount(1) says it IS mounted:

# mount
/dev/cciss/c0d0p2 on / type ext3 (rw)
none on /proc type proc (rw)
none on /sys type sysfs (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
usbdevfs on /proc/bus/usb type usbdevfs (rw)
none on /dev/shm type tmpfs (rw)
/dev/md0 on /home type ext3
none on /prod/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
test.lsy:/pbfd on /store type nfs (rw,nolock,addr=<deleted>)

Version-Release number of selected component (if applicable):
# rpm -q rhr2-rhel4
Comment 1 Rob Landry 2004-10-27 11:50:32 EDT
what's in /proc/mounts?
Comment 2 Glen A. Foster 2004-10-27 12:17:29 EDT
# cat /proc/mounts
rootfs / rootfs rw 0 0
/proc /proc proc rw,nodiratime 0 0
none /dev tmpfs rw 0 0
/dev/root / ext3 rw 0 0
none /dev tmpfs rw 0 0
none /selinux selinuxfs rw 0 0
/proc /proc proc rw,nodiratime 0 0
/proc/bus/usb /proc/bus/usb usbfs rw 0 0
/sys /sys sysfs rw 0 0
none /dev/pts devpts rw 0 0
/dev/cciss/c0d0p1 /boot/efi vfat rw,nodiratime,fmask=0022,dmask=0022 0 0
none /dev/shm tmpfs rw 0 0
/dev/md0 /home ext3 rw 0 0
none /proc/sys/fs/binfmt_misc binfmt_misc rw 0 0
sunrpc /var/lib/nfs/rpc_pipefs rpc_pipefs rw 0 0
test.lsy:/pbfd /store nfs
rw,v3,rsize=8192,wsize=8192,hard,tcp,nolock,addr=test.lsy 0 0
Comment 3 Rob Landry 2004-10-27 13:25:56 EDT
hmm, mount shows...

usbdevfs on /proc/bus/usb type usbdevfs (rw)

...while /proc/mounts shows...

/proc/bus/usb /proc/bus/usb usbfs rw 0 0

note the fstypes don't agree.  Not certain if that's the cause; from
what I see in the current code either of those should satisfy; I'll go
ahead and change that to looking for /proc/bus/usb being mounted
instead of the filesystem.  Which is less code anyway, though some
what less accurate aswell; but if one mounts something on
/proc/bus/usb that isn't kernel usb I have little emotion for bad
things happening in the cert suite. :)
Comment 4 Rob Landry 2004-11-10 21:38:06 EST
corrected in CVS
Comment 5 Larry Troan 2004-11-12 17:49:05 EST
HP asks that this be added to the rc1 blocker list. Status above is
"fixed in CVS" so I believe the Bug should be in MODIFIED state.
Comment 7 Jay Turner 2004-12-01 07:28:08 EST
*** Bug 139517 has been marked as a duplicate of this bug. ***
Comment 10 Rob Landry 2004-12-06 16:30:22 EST
fixed in rhr2-0.9-14.9f (eg. fixed in CVS)
Comment 11 Glen A. Foster 2004-12-10 12:19:42 EST
Cannot verify this fix without a fix to bug 142432
Comment 12 Jay Turner 2004-12-14 04:20:55 EST
Fix confirmed in 0.9-14.9i.
Comment 13 Glen A. Foster 2004-12-14 18:01:55 EST
Now that I've worked around bug 142432 I have confirmed the fix.  Thx!

Note You need to log in before you can comment on or make changes to this bug.